#version 300 es
precision highp float;

layout(location=0) out vec4 outColor;

uniform sampler2D mainTexture;

in vec3 fragNormal;
in vec2 texUV;

void main() {
  vec3 lightPos = vec3(20,20,1);
  vec3 c = normalize(lightPos);
  float intense = dot(c,normalize(fragNormal));
  intense = (max(intense,-0.5)+1.0)/2.0;
  vec4 objectColor = texture(mainTexture,texUV);
  outColor = vec4(objectColor.xyz * intense,1);
}